image: maven:3.6.1-jdk-11

variables:
  MAVEN_OPTS: "-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=WARN"

stages:
  - maven-deploy
  
cache:
    key: "$CI_COMMIT_REF_NAME"
    paths:
        - .m2/repository

before_script:
    - export MAVEN_USER_HOME=`pwd`/.maven
        
mvn-deploy:
    stage: maven-deploy
    only:
      refs:
        - develop
        - master
        - tags
        - /^feature.*$/
    script:
      - 'mvn clean install -s ci_settings.xml'
      - mkdir -p spring-boot-sparql-controller/target/dependency && (cd spring-boot-sparql-controller/target/dependency; jar -xf ../*.jar)
    artifacts:
      paths:
          - spring-boot-sparql-controller/target/classes/
          - spring-boot-sparql-controller/target/generated-sources/
          - spring-boot-sparql-controller/target/dependency/
      expire_in: 1 day
            